MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026403Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-06 20:272017-09-14 09:55
Reporterabv 
Assigned Toisk 
PriorityurgentSeverityblock 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026403: Add missing Standard_EXPORT keyword in SelectMgr headers
DescriptionMany classes defined by HXX files added in context of #24263 do not have Standard_EXPORT keyword before declaration of their (non-inline and non-virtual) methods. This results in linking errors when these classes are used from outside of TKV3d. In particular, C# wrapper does not build on current master because of non-exported constructor and method Clear() of SelectMgr_SensitiveEntity.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026276closedbugmaster Open CASCADE Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context 
parent of 0029107closedbugmaster Open CASCADE Visualization - SelectMgr_FrustumBuilder constructor without arguments is not exported 

-  Notes
(0042768)
git (administrator)
2015-07-06 20:30

Branch CR26403 has been created by abv.

SHA-1: bb48f6323ba0c5343949fb8d44c088e3812462c2


Detailed log of new commits:

Author: abv
Date: Mon Jul 6 20:30:38 2015 +0300

    0026403: Lack of Standard_EXPORT keyword in SelectMgr headers
    
    Some Standard_EXPORT keywords added to be able to link with TKV3d
(0044321)
abv (manager)
2015-08-14 17:50

The fix is needed urgently, it prevents other projects (e.g. C# wrapper and SALOME) to use current OCCT!
(0044331)
git (administrator)
2015-08-17 09:59

Branch CR26403 has been updated forcibly by abv.

SHA-1: 68bc6349f886eb76ad83f64761c4386e6b429f0a
(0044334)
git (administrator)
2015-08-17 11:01

Branch CR26403 has been updated forcibly by isk.

SHA-1: 1f3913c65c4d743866c0d4eba3471717ddebe92a
(0044335)
isk (developer)
2015-08-17 11:03

Dear Andrey,
please review the branch CR26403.
(0044371)
abv (manager)
2015-08-18 10:29

Reviewed, please test.

I have one minor doubt: is it worth adding Standard_EXPORT to virtual functions? Anyway, it should be safe to have it in all public methods.
(0044398)
mkv (tester)
2015-08-18 20:12

Dear BugMaster,
Branch CR26403 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1f3913c65c4d743866c0d4eba3471717ddebe92a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91301507 / 90754891 [+0.60%]
Total CPU difference: 17661.84999999915 / 17774.469999998964 [-0.63%]
products component :
Total MEMORY difference: 24847767 / 24839015 [+0.04%]
Total CPU difference: 6934.230000000007 / 6874.220000000016 [+0.87%]

Testing on Windows:
occt component :
Total MEMORY difference: 56862566 / 56855672 [+0.01%]
Total CPU difference: 16707.28589729922 / 16438.3089730993 [+1.64%]
products component :
Total MEMORY difference: 16011544 / 16011533 [+0.00%]
Total CPU difference: 5273.785406099981 / 5264.284945199952 [+0.18%]

There are no differences in images found by testdiff.
(0046977)
git (administrator)
2015-10-16 16:37

Branch CR26403 has been deleted by kgv.

SHA-1: 1f3913c65c4d743866c0d4eba3471717ddebe92a

- Related Changesets
occt: master 1f3913c6
Timestamp: 2015-08-17 07:53:57
Author: isk
Details ] Diff ]
0026403: Add missing Standard_EXPORT keyword in SelectMgr headers
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Frustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObjectTrsfPersSet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntitySet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-06 20:27 abv New Issue
2015-07-06 20:27 abv Assigned To => kgv
2015-07-06 20:27 abv Relationship added child of 0024263
2015-07-06 20:30 git Note Added: 0042768
2015-08-12 10:46 kgv Assigned To kgv => isk
2015-08-12 10:46 kgv Status new => assigned
2015-08-12 10:46 kgv Summary Lack of Standard_EXPORT keyword in SelectMgr headers => Add missing Standard_EXPORT keyword in SelectMgr headers
2015-08-14 17:50 abv Note Added: 0044321
2015-08-14 17:50 abv Priority normal => urgent
2015-08-14 17:50 abv Severity minor => block
2015-08-17 09:59 git Note Added: 0044331
2015-08-17 10:05 kgv Relationship added related to 0026276
2015-08-17 11:01 git Note Added: 0044334
2015-08-17 11:03 isk Note Added: 0044335
2015-08-17 11:03 isk Assigned To isk => abv
2015-08-17 11:03 isk Status assigned => resolved
2015-08-17 11:03 isk Steps to Reproduce Updated View Revisions
2015-08-18 10:29 abv Note Added: 0044371
2015-08-18 10:29 abv Assigned To abv => bugmaster
2015-08-18 10:29 abv Status resolved => reviewed
2015-08-18 13:20 mkv Assigned To bugmaster => mkv
2015-08-18 20:12 mkv Note Added: 0044398
2015-08-18 20:12 mkv Assigned To mkv => bugmaster
2015-08-18 20:12 mkv Status reviewed => tested
2015-08-18 20:12 mkv Test case number => Not needed
2015-08-21 13:40 isk Changeset attached => occt master 1f3913c6
2015-08-21 13:40 isk Assigned To bugmaster => isk
2015-08-21 13:40 isk Status tested => verified
2015-08-21 13:40 isk Resolution open => fixed
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-16 16:37 git Note Added: 0046977
2015-10-23 20:50 aiv Fixed in Version => 6.9.1
2017-09-14 09:55 kgv Relationship added parent of 0029107


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker